Up

# NSImageRep

### Authors

Adam Fedor (`fedor@colorado.edu`)

> Abstract representation of an image.

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSImageRep class

## NSImageRep : NSObject

> Declared in:
>   AppKit/NSImageRep.h

> Conforms to:
>   NSCoding
>   NSCopying

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +canInitWithData:
- +canInitWithPasteboard:
- +imageFileTypes
- +imagePasteboardTypes
- +imageRepClassForData:
- +imageRepClassForFileType:
- +imageRepClassForPasteboardType:
- +imageRepWithContentsOfFile:
- +imageRepWithContentsOfURL:
- +imageRepWithPasteboard:
- +imageRepsWithContentsOfFile:
- +imageRepsWithContentsOfURL:
- +imageRepsWithPasteboard:
- +imageUnfilteredFileTypes
- +imageUnfilteredPasteboardTypes
- +registerImageRepClass:
- +registeredImageRepClasses
- +unregisterImageRepClass:
- -bitsPerSample
- -colorSpaceName
- -draw
- -drawAtPoint:
- -drawInRect:
- -hasAlpha
- -isOpaque
- -pixelsHigh
- -pixelsWide
- -setAlpha:
- -setBitsPerSample:
- -setColorSpaceName:
- -setOpaque:
- -setPixelsHigh:
- -setPixelsWide:
- -setSize:
- -size

### canInitWithData:

+ (BOOL) canInitWithData: (NSData*)data;

Description forthcoming.

### canInitWithPasteboard:

+ (BOOL) canInitWithPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

### imageFileTypes

+ (NSArray*) imageFileTypes;

Description forthcoming.

### imagePasteboardTypes

+ (NSArray*) imagePasteboardTypes;

Description forthcoming.

### imageRepClassForData:

+ (Class) imageRepClassForData: (NSData*)data;

Description forthcoming.

### imageRepClassForFileType:

+ (Class) imageRepClassForFileType: (NSString*)type;

Description forthcoming.

### imageRepClassForPasteboardType:

+ (Class) imageRepClassForPasteboardType: (NSString*)type;

Description forthcoming.

### imageRepWithContentsOfFile:

+ (id) imageRepWithContentsOfFile: (NSString*)filename;

Description forthcoming.

### imageRepWithContentsOfURL:

+ (id) imageRepWithContentsOfURL: (NSURL*)anURL;

Description forthcoming.

### imageRepWithPasteboard:

+ (id) imageRepWithPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

### imageRepsWithContentsOfFile:

+ (NSArray*) imageRepsWithContentsOfFile: (NSString*)filename;

Description forthcoming.

### imageRepsWithContentsOfURL:

+ (NSArray*) imageRepsWithContentsOfURL: (NSURL*)anURL;

Description forthcoming.

### imageRepsWithPasteboard:

+ (NSArray*) imageRepsWithPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

### imageUnfilteredFileTypes

+ (NSArray*) imageUnfilteredFileTypes;

Description forthcoming.

### imageUnfilteredPasteboardTypes

+ (NSArray*) imageUnfilteredPasteboardTypes;

Description forthcoming.

### registerImageRepClass:

+ (void) registerImageRepClass: (Class)imageRepClass;

Description forthcoming.

### registeredImageRepClasses

+ (NSArray*) registeredImageRepClasses;

Description forthcoming.

### unregisterImageRepClass:

+ (void) unregisterImageRepClass: (Class)imageRepClass;

Description forthcoming.

### bitsPerSample

- (int) bitsPerSample;

Description forthcoming.

### colorSpaceName

- (NSString*) colorSpaceName;

Description forthcoming.

### draw

- (BOOL) draw;

Description forthcoming.

### drawAtPoint:

- (BOOL) drawAtPoint: (NSPoint)aPoint;

Description forthcoming.

### drawInRect:

- (BOOL) drawInRect: (NSRect)aRect;

Description forthcoming.

### hasAlpha

- (BOOL) hasAlpha;

Description forthcoming.

### isOpaque

- (BOOL) isOpaque;

Description forthcoming.

### pixelsHigh

- (int) pixelsHigh;

Description forthcoming.

### pixelsWide

- (int) pixelsWide;

Description forthcoming.

### setAlpha:

- (void) setAlpha: (BOOL)flag;

Description forthcoming.

### setBitsPerSample:

- (void) setBitsPerSample: (int)anInt;

Description forthcoming.

### setColorSpaceName:

- (void) setColorSpaceName: (NSString*)aString;

Description forthcoming.

### setOpaque:

- (void) setOpaque: (BOOL)flag;

Description forthcoming.

### setPixelsHigh:

- (void) setPixelsHigh: (int)anInt;

Description forthcoming.

### setPixelsWide:

- (void) setPixelsWide: (int)anInt;

Description forthcoming.

### setSize:

- (void) setSize: (NSSize)aSize;

Description forthcoming.

### size

- (NSSize) size;

Description forthcoming.

Up